Subject: bug#14033: 24.3.50; Deleting frame and reconnecting to Emacs daemon results in blank frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 19:56:54 +0100

Ulrich Mueller <[email-masked]> writes:

> With Emacs from Bzr linked against Motif 2.3.4, I get a blank frame
> when connecting for the second time to a daemonised Emacs.
>
> To reproduce:
>
>    $ emacs -Q --daemon
>    $ emacsclient -c
>    Waiting for Emacs...
>
> Up to here everything appears to be o.k.
> Now I delete the frame and try to connect for a second time:
>
>    C-x 5 0
>    $ emacsclient -c
>    Waiting for Emacs...
>    *ERROR*: X protocol error: RenderBadPicture (invalid Picture parameter) on protocol request 138
>
> This time, I get above error message and a blank Emacs frame. (For the
> menu bar, the background colour is visible, but otherwise it is also
> blank. The toolbar is not visible at all.) Sometimes the error appears
> only when connecting to the daemon for the third time.
>
> The problem disappears when I disable the menu bar ("M-x menu-bar-mode
> RET" before doing "C-x 5 0" the first time).

(This bug report unfortunately got no response at the time.)

I am unable to reproduce this error.  Do you still see it in more recent
versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no